Update Payment User
Update (PATCH) an existing Payment User, identified by the user’s Finverse user_id.
Access: This flow is available on demand for Finverse customers who want to directly manage Payment Users and Payment Accounts. Contact [email protected] to request access.
Authorization: customer_token
Implementation guidance
Autopay consent handling: be careful when updating the value of a user’s autopay_consent field. Key considerations:
-
The
autopay_consentfield should only be set totrueif the user has specifically agreed to autopay future bills. We recommend preserving auditable evidence that users have provided this consent (e.g. in your logs or database records), which may be later requested by payment gateways or banks in the event of user billing disputes. -
User notifications of change to
autopay_consent****: Finverse will send an email notification to the user’semaileach time theautopay_consentvalue is changed (e.g. fromtruetofalse, orfalsetotrue), to ensure that users are aware about whether their bills will be autopaid. -
Autopay downstream handling: the way
autopay_consentimpacts future bill collections depends on your specific integration with Finverse.-
If you have enabled a pre-built Finverse autopay integration (e.g. via Xero invoices, Sitelink/Rapidstor tenant ledgers, Storeganise invoices), Finverse will automatically handle autopayments on each bill due date for any users where (i)
autopay_consent=true, and (ii) the user has at least 1 valid payment method. -
If you are using a custom Finverse autopay integration, you need to initiate your own collection payment on your desired due date using the Finverse API, via
POST /payments. Depending on your Customer App’s configuration, Finverse may verify that the user’sautopay_consent=truebefore processing each payment.
-
Request body
Only the selected fields below can currently be updated. Any omitted fields will remain unchanged.
The following fields are non-editable. Attempting to edit these will return an API error:
created_at, external_user_id, integration_metadata, updated_at, user_details, user_id
Response fields
The response is the updated Payment User object.
Refer to Payment User object data model in GET /payment_users/{user_id}.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
request body for updating payment user
Response
Success
Flag indicating whether the user has agreed to future (on-demand) payments of bills/invoices owed by the user. This consent is usually collected in the Payment Link flow. Value is false by default, unless: (i) the user enrolled into Autopay in the Payment Link UI, (ii) a Payment LInk was created with the configuration payment_setup_options.future_payments = AUTOPAY, (iii) the Payment User was created with autopay_consent = true using the Create Payment User API (POST /payment_users).
false
Timestamp when the Payment User object was first created
Payment User's contact email, used for Finverse notifications. To ensure a smooth payment experience for end-users and to avoid support tickets or disputes, we strongly recommend enabling Finverse notifications by providing the end-user's email. Finverse sends email notifications for: - Changes to stored payment methods (e.g. direct debit mandate or card) - Changes to user autopay consent - Executed payments (except card payments via Stripe, since Stripe sends its own notifications). Contact [email protected] for the full list of email notifications sent by Finverse.
Customer App's unique ID for the user. This ID is used to identify returning users across user sessions and load the user's previously stored Payment Method and settings. For example, a returning user can: - Directly pay a Payment Link (in mode= payment) using their stored Payment Method, without re-entering payment details. - Use a Payment Link to edit their stored Payment Method. - Use a Payment Link to turn Autopay on/off (by editing their Autopay consent), if allowed by the Customer App.
Customer-supplied attributes in key:value format. E.g. employer_name: Apple Inc
User's name or nickname (note: this does not need to exactly match the accountholder name of the user's account; however accountholder name inputs may be verified against this value).
Timestamp when Finverse is scheduled to attempt to fetch the next bill/invoice for this user. Bill/invoice ingestion is one of the available methods for Finverse to initiate Autopay bill collections on each bill due date, using the user's saved payment method(s). Note: bills will only be fetched if the Customer App has configured a 3rd party ERP/CRM or Accounting integration, enabling Finverse to fetch bill/invoice data from the 3rd party source (e.g. Xero, RapidStor). Contact [email protected] to discuss 3rd party bill/invoice integrations and Autopay flows.
Timestamp when the Payment User object was last updated
Additional information about the user's identity
Finverse unique ID for the user.
Type of user (used to determine what user authentication inputs are required, e.g. individual ID vs. company registration details). Possible values: INDIVIDUAL, BUSINESS
INDIVIDUAL, BUSINESS